using System.ComponentModel;

namespace eSuite.Core.Enums;

public enum ActivityState
{
    [Description("The activity is ready to start")]
    Pending,
    [Description("The activity has been cancelled")]
    Cancelled,
    [Description("The activity is currently active for processing")]
    Active,
    [Description("Interactive processing of this task has finished and the workflow processor can process the outcome")]
    ReadyToComplete,
    [Description("Processing of this activity has finished")]
    Completed
}